propel:
  usuario:
    id:                                ~
    usuario:                           { type: varchar(32), required: true }
    clave:                             { type: varchar(40) }
    nombre:                            { type: varchar(60), required: true, primaryString: true }
    apellido:                          { type: varchar(60), required: true }
    participante_id:                   { type: integer }
    revisor:                           { type: boolean, default: false }
    supervisor:                        { type: boolean, default: false }
    vo_bo:                             { type: boolean, default: false } 
    administrador:                     { type: boolean, default: false }
    created_at:                        ~
    updated_at:                        ~
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    _uniques:
      llave:                           [ usuario ]
   
  participante:
    id:                                ~
    nombre:                            { type: varchar(60), required: true, primaryString: true }
    apellido:                          { type: varchar(60), required: true }
    observaciones:                     { type: longvarchar }
    proyecto_id:                       ~ 
    created_at:                        ~
    updated_at:                        ~
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
	
  empresa_id:
    id:                                ~
    prefijo:	                       { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    direcccion:                        { type: varchar(260) }  	
    telefono:                          { type: varchar(260) }  	
    encargado:                         { type: varchar(260) }  
    observaciones:                     { type: longvarchar }	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~  	
 
  proyecto_id:
    id:                                ~
    empresa_id:                        ~	 
    prefijo:	                       { type: varchar(32) }
    nombre:                            { type: varchar(260), required: true, primaryString: true } 
    direcccion:                        { type: varchar(260) }  	
    telefono:                          { type: varchar(260) }  	
    encargado:                         { type: varchar(260) } 
    observaciones:                     { type: longvarchar } 	
    activo:                            { type: boolean, default: true }
    created_by:                        { type: varchar(32) }
    updated_by:                        { type: varchar(32) }
    created_at:                        ~
    updated_at:                        ~  	